# Försäkringskassans Leverera förmånsinformation (LEFI) - Preliminär specifikation

E-tjänsten _Leverera förmånsinformation_ (LEFI) låter anslutna [aktörer](AKTOR.md) begära ut kopior av Försäkringskassans kunders ärenden och uppgifter. Det här arkivet samlar preliminär information om de gränssnitt som tillhandahålls som en del av LEFI version 9. Syftet med arkivet är att låta tredje part påbörja sin utvärdering av LEFI 9 innan den slutliga versionen lanserats.

Notera alltså att ingen del av detta dokument eller av något annat i detta arkiv garanteras förbli detsamma i den slutliga versionen av LEFI 9. Rent praktiskt bör det dock gå att anta att den slutliga versionen blir lik den som presenteras här.

Mer information om LEKA och LEFI hittar du på https://www.forsakringskassan.se/myndigheter-och-samarbetspartner/e-tjanster-for-myndigheter-och-samarbetspartner/lefi-online.

## Innehållsförteckning
1. Tjänstebeskrivning
    - 1.1 Förmånsinformation

## 1. Tjänstebeskrivning

LEFI låter en ansluten [aktör](AKTOR.md), såsom ett försäkringsbolag, en kommun, eller en avdelning på en kommun, att hämta information om ärenden eller andra uppgifter om Försäkringskassans kunder. 
Olika aktörer har olika rättsliga förutsättningar för att ta begära och ta emot denna information. Av den anledningen låter e-tjänsten också respektive aktör att hämta en sammanställning av vilka klasser och typer av förmånsinformation denne har rätt till.

Förmånsinformation och tillgängliga informationstyper hämtas via det HTTP-baserade gränssnitt som beskrivs i det följande underavsnittet. Tjänstens _OpenAPI-specifikation_, vilken är en programmatisk beskrivning av gränssnittets operationer och datatyper, finns att hitta i mappen `openapi/`.

### 1.1 Förmånsinformation

Gränssnittet tillhandahåller två operationer, en för att _hämta tillgängliga informationstyper_ och en för att _hämta förmånsinformation_. Den första operationen används för att ta reda på vilka [klasser och typer av information](INFORMATIONSTYP.md) en aktuell aktör _kan_ begära ut. En delmängd av dessa klasser och typer kan sedan tillhandahållas den andra operationen för att hämta den förmånsinformation som önskas och finns att tillgå.

Specificeras en informationstyp i en hämtningsfråga som inte en aktör har rätt till underkänns frågan och inget svar skickas tillbaka. Notera att i tidigare versioner av LEFI Online ignorerades istället typer av information där rättigheter saknades. Möjligheten att begära ut listor med tillgängliga typer av information är också nytt för LEFI version 9.
